首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
推荐学习书目
Learn Python the Hard Way
Python 学习手册
Python Cookbook
Python 基础教程
Python Sites
PyPI - Python Package Index
http://www.simple-is-better.com/
http://diveintopython.org/toc/index.html
Pocoo
值得关注的项目
PyPy
Celery
Jinja2
Read the Docs
gevent
pyenv
virtualenv
Stackless Python
Beautiful Soup
结巴中文分词
Green Unicorn
Sentry
Shovel
Pyflakes
pytest
Python 编程
pep8 Checker
Styles
PEP 8
Google Python Style Guide
Code Style from The Hitchhiker's Guide
GeekHub
mthli
V2EX  ›  Python

马上就要 2020 年了,你还在用 Python 2.7 吗?

  •  3
     
  •   mthli · 106 天前 · 5634 次点击
    这是一个创建于 106 天前的主题,其中的信息可能已经有所发展或是发生改变。

    Python 2.7 将在 2020-01-01 停止维护 👀

    分享给大家一个别致的新年倒计时:

    https://pythonclock.org

    33 条回复    2020-02-04 21:02:33 +08:00
    darknoll
        1
    darknoll   106 天前
    马上就要 2020 年了,你还在用 Windows 7 吗?
    SaltedFish12138
        2
    SaltedFish12138   106 天前
    意思是 2020 年 77 惨惨? (手动狗头保命
    collector
        3
    collector   106 天前
    用不用看公司要求,有的公司就是非得用 2 系列,就算是 2030 年还不是得一样用
    love
        4
    love   106 天前 via Android
    老系统,功能不大动了,总不可能花大代价换 3
    barrelsoil
        5
    barrelsoil   106 天前 via Android
    mac 自带的依赖怎么办啊?
    ClericPy
        6
    ClericPy   106 天前
    果然又来了...
    ytmsdy
        7
    ytmsdy   106 天前
    so ?现在还有一堆人正在用 xp 系统呢。
    iiduce
        8
    iiduce   106 天前
    请告诉我,我庞大的附带很多轮子的 2.7 项目应该怎么升级。
    ac2sherry
        9
    ac2sherry   106 天前
    老 branch 也不维护了,但是有产品依赖,所以肯定还是要用的。
    新的 branch 早就切 3.6 了。
    zhihupron
        10
    zhihupron   106 天前
    2020 庚子年,大凶之年
    1840 年,庚子年,鸦片战争,签订第一个不平等条约《南京条约》,开始沦为半封建半殖民地社会。
    1900 年,庚子年,八国联军侵华战争,次年签订了丧权辱国的《辛丑条约》,彻底沦为半封建半殖民地社会。
    1960 年,庚子年,中苏关系恶化,苏联撤走专家,三年自然灾害,内外交困。
    2020 年,庚子年,希望逢凶化吉。
    hugee
        11
    hugee   106 天前
    @zhihupron 希望通常是渺茫的
    lc7029
        12
    lc7029   106 天前
    停止支持不代表不能用不是?
    我们还在用 JDK1.4,系统用红帽子 4 一样玩到现在
    skinny
        13
    skinny   106 天前
    早不用 Python2.7 了,不过 Windows 7 还在用,因为旧笔记本的显卡不能用 AMD 官方驱动,早年间笔记本厂商都喜欢魔改阉割显卡(我用过的索尼惠普都这样),导致如果 OEM 驱动停止更新,更新的系统就没有合适的驱动使用。
    ZZITE
        14
    ZZITE   106 天前
    公司今年花了不少时间把 2.7 升级到 3 了,项目又老又大,负责的人都快搞吐了。
    zengcity
        15
    zengcity   106 天前
    还是 2.7,老系统,小公司,负责人认为没有必要动
    huage
        16
    huage   106 天前
    马上就要到 2020 年了,你还在上班写代码?过来陪我打麻将,下午还要去收房租
    YanY
        17
    YanY   106 天前
    @zhihupron 2020 实现全面小康社会 消灭贫穷
    liuzhaowei55
        18
    liuzhaowei55   106 天前
    Python 的版本演进就是个垃圾。
    很多时候不是说我要去用 Python 2.7 而是众多系统的发行版本里包含且依赖 Python 2.7,这么底层的依赖怎么去升级
    dishonest
        19
    dishonest   106 天前
    为了 type-hint 我把所有新的项目都用 3.7 去写了,能升级的也升级了,在 pycharm 下是真的舒服.历史项目就算了.
    Northsea1
        20
    Northsea1   106 天前
    我电脑还在用 windows7,公司还在用 python2.7
    0superx0
        21
    0superx0   106 天前 via Android
    昨天才升级到 python3,然而编译某些源码还是反向 python2,老报错,还得修改代码,泪
    liuqiangxi
        22
    liuqiangxi   106 天前
    直接不会 2.7
    NotNil1
        23
    NotNil1   106 天前
    @iiduce 重写啊
    rocksolid
        24
    rocksolid   106 天前
    新的项目可以不用,旧的难道有人会来帮我重写么
    hakono
        25
    hakono   106 天前 via Android
    @liuzhaowei55
    apt install python3
    搞不懂你说的底层依赖没法升级哪里有了
    无非就是 python2 和 3 并存罢了
    python2 放那也没人逼你用
    莫非你想说你所有电脑都没法联网
    ww2000e
        26
    ww2000e   106 天前
    还在用 centos6.5 python2.6 怎么办。。
    hmzt
        27
    hmzt   106 天前
    版本更新那么多, 依赖库跟不上, 叫我怎么跟啊
    imycc
        28
    imycc   106 天前
    老系统用的都是 py27,系统下线之前,肯定不会换 py3 了。从去年开始就有意识往 py3 靠了,新系统用 py3 写,公用的库兼容 py2 py3。但是“兼容”代码写起来真的难受,要用某个函数还得搜一下 six 里面是怎么用的。也不怪第三方库都逐渐放弃兼容 py2 了。

    PS:公司以前给员工配电脑的时候是 win7,那些人离职之前,肯定不会换 win10 了。
    wnpllrzodiac
        29
    wnpllrzodiac   106 天前 via Android
    1.1 就嗝屁了。我也在思考这个问题
    LokiSharp
        30
    LokiSharp   105 天前 via iPhone
    停止维护又不是不能用了
    520Python
        31
    520Python   99 天前 via Android
    2.5 版本的路过,需要更新吗?
    stevezhengs
        32
    stevezhengs   75 天前 via iPhone
    突然想起来这个神预测!我现在知道了
    nMar3
        33
    nMar3   64 天前
    @zhihupron 你这嘴该说你什么好。。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3260 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 25ms · UTC 11:33 · PVG 19:33 · LAX 04:33 · JFK 07:33
    ♥ Do have faith in what you're doing.